import final_project
import os

#=======================================================================

#Initialize set params
len_genotype = 10
pop_size = 1000
n_generations = 500
n_sim = 50
outdir_base = '/home/rlynch/Documents/8.592/final_project'

#Loop over gridded params
for mu in [0.001]: #[0.,0.001]:
	for p_opt_geno_evolve in [0.,0.001,0.01]:
		for n_learn in [2,10,100]:
			#Make output directory
			outdir = '%s/mu_%s_nlearn_%s_ptarget_%s'%(outdir_base,mu,n_learn,p_opt_geno_evolve)
			os.makedirs(outdir)
			
			#Run algorithm
			final_project.executable(mu, p_opt_geno_evolve, len_genotype, pop_size, n_learn, n_generations, n_sim, outdir)
